namespace EVCB_OCPP.Domain.MainDBContextMigrations
{
    using System;
    using System.Data.Entity.Migrations;
    
    public partial class Add_ChargeBoxId : DbMigration
    {
        public override void Up()
        {
            DropIndex("dbo.Machine", new[] { "ChargePointSerialNumber" });
            DropIndex("dbo.TransactionRecord", "IX_1202_Issue_Report");
            DropIndex("dbo.TransactionRecord", "IX_MachineId");
            AddColumn("dbo.ConnectorStatus", "ChargeBoxId", c => c.String(maxLength: 128));
            AddColumn("dbo.Machine", "ChargeBoxId", c => c.String(maxLength: 128));
            AddColumn("dbo.MachineConfigures", "ChargeBoxId", c => c.String(maxLength: 128));
            AddColumn("dbo.MachineError", "ChargeBoxId", c => c.String(maxLength: 128));
            AddColumn("dbo.MachineOperateRecord", "ChargeBoxId", c => c.String(maxLength: 128));
            AddColumn("dbo.ServerMessage", "ChargeBoxId", c => c.String(maxLength: 128));
            AddColumn("dbo.TransactionRecord", "ChargeBoxId", c => c.String(nullable: false, maxLength: 128));
            AlterColumn("dbo.Machine", "HeartbeatUpdatedOn", c => c.DateTime(nullable: false));
            AlterColumn("dbo.TransactionRecord", "ReportedOn", c => c.DateTime(nullable: false));
            AlterColumn("dbo.TransactionRecord", "UpdatedOn", c => c.DateTime(nullable: false));
            CreateIndex("dbo.TransactionRecord", new[] { "ChargeBoxId", "ConnectorId", "TransactionId", "StartTime" }, unique: true, name: "IX_1202_Issue_Report");
            CreateIndex("dbo.TransactionRecord", "ChargeBoxId", name: "IX_MachineId");
            DropColumn("dbo.ConnectorStatus", "ChargePointSerialNumber");
            DropColumn("dbo.MachineConfigures", "ChargePointSerialNumber");
            DropColumn("dbo.MachineError", "ChargePointSerialNumber");
            DropColumn("dbo.MachineOperateRecord", "ChargePointSerialNumber");
            DropColumn("dbo.ServerMessage", "ChargePointSerialNumber");
            DropColumn("dbo.TransactionRecord", "chargePointSerialNumber");
        }
        
        public override void Down()
        {
            AddColumn("dbo.TransactionRecord", "chargePointSerialNumber", c => c.String(nullable: false, maxLength: 25));
            AddColumn("dbo.ServerMessage", "ChargePointSerialNumber", c => c.String(maxLength: 25));
            AddColumn("dbo.MachineOperateRecord", "ChargePointSerialNumber", c => c.String(maxLength: 25));
            AddColumn("dbo.MachineError", "ChargePointSerialNumber", c => c.String(maxLength: 25));
            AddColumn("dbo.MachineConfigures", "ChargePointSerialNumber", c => c.String(maxLength: 25));
            AddColumn("dbo.ConnectorStatus", "ChargePointSerialNumber", c => c.String(maxLength: 25));
            DropIndex("dbo.TransactionRecord", "IX_MachineId");
            DropIndex("dbo.TransactionRecord", "IX_1202_Issue_Report");
            AlterColumn("dbo.TransactionRecord", "UpdatedOn", c => c.DateTime());
            AlterColumn("dbo.TransactionRecord", "ReportedOn", c => c.DateTime());
            AlterColumn("dbo.Machine", "HeartbeatUpdatedOn", c => c.DateTime());
            DropColumn("dbo.TransactionRecord", "ChargeBoxId");
            DropColumn("dbo.ServerMessage", "ChargeBoxId");
            DropColumn("dbo.MachineOperateRecord", "ChargeBoxId");
            DropColumn("dbo.MachineError", "ChargeBoxId");
            DropColumn("dbo.MachineConfigures", "ChargeBoxId");
            DropColumn("dbo.Machine", "ChargeBoxId");
            DropColumn("dbo.ConnectorStatus", "ChargeBoxId");
            CreateIndex("dbo.TransactionRecord", "chargePointSerialNumber", name: "IX_MachineId");
            CreateIndex("dbo.TransactionRecord", new[] { "chargePointSerialNumber", "ConnectorId", "TransactionId", "StartTime" }, unique: true, name: "IX_1202_Issue_Report");
            CreateIndex("dbo.Machine", "ChargePointSerialNumber", unique: true);
        }
    }
}
