﻿namespace EVCB_OCPP.Domain.Models.Database
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.ComponentModel.DataAnnotations;
    using System.ComponentModel.DataAnnotations.Schema;
    using System.Data.Entity.Spatial;

    /// <summary>
    /// 機器的版本發佈
    /// </summary>
    [Table("MachineVersion")]
    public partial class MachineVersion
    {
        public MachineVersion()
        {
            MachineVersionFiles = new List<MachineVersionFile>();
        }

        [Key]
        public int Id { get; set; }

      
        [Required]
        public DateTime CreatedOn { get; set; }

        /// <summary>
        /// 發佈版本ID
        /// </summary>
        [DisplayName("Version")]
        [Required]
        public int PublishVersionId { get; set; }


        [Required]
        [StringLength(36)]
        public string MachineId { get; set; }

        /// <summary>
        /// 更新日期
        /// </summary>
       
        public DateTime? UpdatedOn { get; set; }

        //[ForeignKey("MachineId")]
        public virtual Machine Machine { get; set; }

        [ForeignKey("PublishVersionId")]        
        public virtual PublishVersion PublishVersion { get; set; }

        public virtual ICollection<MachineVersionFile> MachineVersionFiles { get; set; }

        //[InverseProperty("MachineId")]
        //public virtual ICollection<Machine> Machines { get; set; }

    }
}
