﻿namespace EVCB_OCPP.Domain.Models.Database
{
 
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.ComponentModel.DataAnnotations;
    using System.ComponentModel.DataAnnotations.Schema;
    using System.Data.Entity.Spatial;

    /// <summary>
    /// 版本發佈
    /// </summary>
    [Table("PublishVersion")]
    public partial class PublishVersion
    {
        public PublishVersion()
        {
            PublishVersionFiles = new List<PublishVersionFile>();
        }

        [Key]
        public int Id { get; set; }

      
        [Required]
        public DateTime CreatedOn { get; set; }

        /// <summary>
        /// 自動遞增的版號
        /// </summary>
        [DisplayName("Version")]
        [Required]
        public int Version { get; set; }
      

        /// <summary>
        /// 客戶所使用的機器元件
        /// </summary>
        [Required]
        public int CustomerMachineComponentId { get; set; }
      

        public virtual ICollection<PublishVersionFile> PublishVersionFiles { get; set; }

        public virtual CustomerMachineComponent CustomerMachineComponent { get; set; }
    }
}