﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OCPP_Packet.Packet.Status
{
    public class CoreStatus
    {
        public enum AuthorizationStatus
        {
            Accepted, Blocked, Expired, Invalid, ConcurrentTx
        }

        public enum RegistrationStatus
        {
            Accepted, Pending, Rejected
        }

        public enum AvailabilityStatus
        {
            /// <summary>
            /// 接受請求，馬上執行變更
            /// </summary>
            Accepted,
            /// <summary>
            /// 拒絕請求
            /// </summary>
            Rejected,
            /// <summary>
            /// 接受請求，等交易結束，就會馬上執行變更
            /// </summary>
            Scheduled,


        }

        public enum AvailabilityType
        {
            /// <summary>
            /// 不允許充電槍進行充電
            /// </summary>
            Inoperative,
            /// <summary>
            /// 允許充電槍進行充電
            /// </summary>
            Operative
        }

        public enum ConfigurationStatus
        {
            /// <summary>
            /// 接受請求，馬上執行變更
            /// </summary>
            Accepted,
            /// <summary>
            /// 拒絕請求
            /// </summary>
            Rejected,
            /// <summary>
            /// 已更改設定，需透過後台下發Reboot才會生效
            /// </summary>
            RebootRequired,
            NotSupported,
        }

        public enum ClearCacheStatus
        {
            /// <summary>
            /// 命令已執行
            /// </summary>
            Accepted,
            /// <summary>
            /// 命令不執行
            /// </summary>
            Rejected,
        }

        public enum DataTransferStatus
        {
            /// <summary>
            /// 接受請求，馬上執行變更
            /// </summary>
            Accepted,
            /// <summary>
            /// 拒絕請求
            /// </summary>
            Rejected,

            UnknownMessageId,
            UnknownVendorId,


        }

        public enum ChargePointErrorCode
        {
            ConnectorLockFailure,
            EVCommunicationError,
            GroundFailure,
            HighTemperature,
            InternalError,
            LocalListConflict,
            NoError,
            OtherError,
            OverCurrentFailure,
            OverVoltage,
            PowerMeterFailure,
            PowerSwitchFailure,
            ReaderFailure,
            ResetFailure,
            UnderVoltage,
            WeakSignal
        }

        public enum ChargePointStatus
        {
            Available,
            Preparing,
            Charging,
            SuspendedEVSE,
            SuspendedEV,
            Finishing,
            Reserved,
            Unavailable,
            Faulted
        }
    }
}
